import $ from 'jquery';


var CookiesBanner = {};

CookiesBanner.days = 15;

CookiesBanner.createCookie = function(name, value, days)
{
	var expire = '';
	
	if (days)
	{
		var date = new Date();
		// Convert days in milliseconds
		date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
		expire = '; expire=' + date.toGMTString();
	}

	document.cookie = name + '=' + value + expire + '; path=/';
};

CookiesBanner.readCookie = function(name)
{
	var nameEQ = name + '=';
	var ca = document.cookie.split(';');

	for(var i = 0; i < ca.length; i++)
	{
		var c = ca[i];

		while (c.charAt(0) == ' ')
		{
			c = c.substring(1, c.length);
		}

		if (c.indexOf(nameEQ) == 0)
		{
			return c.substring(nameEQ.length, c.length);
		}
	}

	return null;
};

CookiesBanner.init = function()
{
	$(function()
	{
		$('#closeCookiesBanner').click(function()
		{
			$('#cookiesBanner').hide();
			CookiesBanner.createCookie('cookiesBanner', 'closed', CookiesBanner.days);
		});

		if (CookiesBanner.readCookie('cookiesBanner') == 'closed')
		{
			$('#cookiesBanner').hide();
		}
	});
};


export default CookiesBanner;